<?php 
/**
 * php_mecab/examples
 * split string into an array of part-of-speech (OO-API)
 * charset=utf-8
 */

require_once dirname(__FILE__) . '/common.inc.php';

/**
 * Determine whether the part-of-speech is a noun.
 *
 * Annotate with comment.
 * This method takes "int $posid" instad of "array $node_info".
 *
 * @param   int $posid
 * @return  bool
 * @mecab_element_require posid
 */
function mecab_ipadic_is_noun($posid)
{
    return in_array($posid, $GLOBALS['mecab_ipadic_posid_range_noun']);
}

class MeCab_IPADic
{
    /**
     * Determine whether the part-of-speech is a noun.
     *
     * Annotate with comment.
     * This method takes "int $posid" instad of "array $node_info".
     *
     * @param   int $posid
     * @return  bool
     * @access  public
     * @static
     * @mecab_element_require posid
     */
    public static function isNoun($posid)
    {
        return in_array($posid, $GLOBALS['mecab_ipadic_posid_range_noun']);
    }
}

border();

print_r(MeCab::split($str));

border();

print_r(MeCab::split($str, null, null, 'mecab_ipadic_is_noun'));
print_r(MeCab::split($str, null, null, array('MeCab_IPADic', 'isNoun')));

border();
